New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
返回一个单一的 ZK 证明,该证明由压缩程序用于验证给定账户的有效性以及新地址的创建可能性。
cURL
curl --request POST \ --url 'https://mainnet.helius-rpc.com/?api-key=' \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": "1", "method": "getValidityProof", "params": { "hashes": [ "11111112cMQwSC9qirWGjZM6gLGwW69X22mqwLLGP" ], "newAddressesWithTrees": [ { "address": "11111118eRTi4fUVRoeYEeeTyL4DPAwxatvWT5q1Z", "tree": "11111118eRTi4fUVRoeYEeeTyL4DPAwxatvWT5q1Z" } ] } } '
{ "context": { "slot": 100 }, "value": { "compressedProof": { "a": "<string>", "b": "<string>", "c": "<string>" }, "leafIndices": [ 1 ], "leaves": [ "<string>" ], "merkleTrees": [ "<string>" ], "rootIndices": [ 1 ], "roots": [ "<string>" ] } }
您的 Helius API 密钥。您可以在仪表板中免费获取一个。
JSON-RPC 协议的版本。
2.0
用于标识请求的 ID。
要调用的方法名称。
getValidityProof
显示 子属性
成功检索到 Solana 压缩账户的有效性证明
此页面对您有帮助吗?